Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/perl-getopt-argvfile: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Mon, 14 Dec 2015 15:20:52 +0000

---
 testing/perl-getopt-argvfile/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-getopt-argvfile/APKBUILD
diff --git a/testing/perl-getopt-argvfile/APKBUILD b/testing/perl-getopt-argvfile/APKBUILD
new file mode 100644
index 0000000..95e9c9c
--- /dev/null
+++ b/testing/perl-getopt-argvfile/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-getopt-argvfile
+pkgver=1.11
+_realname=Getopt-ArgvFile-$pkgver
+pkgrel=0
+pkgdesc="Interpolates script options from files into _at_ARGV or another array"
+url="http://search.cpan.org/dist/Getopt-ArgvFile/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JS/JSTENZEL/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="42117db2af4a24c062b2da25d4fdf756  Getopt-ArgvFile-1.11.tar.gz"
+sha256sums="3709aa513ce6fd71d1a55a02e34d2f090017d5350a9bd447005653c9b0835b22  Getopt-ArgvFile-1.11.tar.gz"
+sha512sums="832e9ec6de3dfa4aaac68faedd3561cac570761e0de805e084e8dc7b386579cd0a18278aeb262ea82fddbdf8277b17bbd7593c15d41b1d6d7de4739fc8cc8f11  Getopt-ArgvFile-1.11.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Dec 14 2015 - 15:20:52 GMT